package info

import (
	"encoding/json"
	"net/http"
)

type Flipt struct {
	Version         string `json:"version,omitempty"`
	LatestVersion   string `json:"latestVersion,omitempty"`
	Commit          string `json:"commit,omitempty"`
	BuildDate       string `json:"buildDate,omitempty"`
	GoVersion       string `json:"goVersion,omitempty"`
	UpdateAvailable bool   `json:"updateAvailable"`
	IsRelease       bool   `json:"isRelease"`
}

func (f Flipt) ServeHTTP(w http.ResponseWriter, r *http.Request) {
	out, err := json.Marshal(f)
	if err != nil {
		w.WriteHeader(http.StatusInternalServerError)
		return
	}

	if _, err = w.Write(out); err != nil {
		w.WriteHeader(http.StatusInternalServerError)
		return
	}
}
